Name:           cmus
Requires:       ncurses
BuildRequires:  libvorbis-devel
BuildRequires:  ncursesw-devel
BuildRequires:  libao-devel
BuildRequires:  libpulseaudio-devel
BuildRequires:  libalsa-devel
BuildRequires:  libmad-devel
BuildRequires:  libflac-devel
BuildRequires:  libmodplug-devel
BuildRequires:  libffmpeg-devel
BuildRequires:	pkgconfig(libcdio_cdda)
URL:            http://cmus.sourceforge.net
License:        GPLv2
Group:          Sound/Players
Version:        2.5.0
Release:        %mkrel 3
Summary:        A powerful ncurses-based music player
Source:         https://sourceforge.net/projects/cmus/files/%{name}-v%{version}.tar.bz2
Patch0:		cmus-v2.4.3-ffmpeg2.0.patch
Patch1:		cmus-2.5.0-cdio-make-it-work-with-libcdio-0.90.patch

%description
cmus is a powerful music player with an ncurses UI. It supports many
different file types like FLAC, Ogg/Vorbis, etc. and is able to handle play
lists.

%prep
%setup -q -n %{name}-v%{version}
%apply_patches

%build
%define _disable_ld_no_undefined 1
%setup_compile_flags
./configure prefix=%{_prefix} libdir=%{_libdir} DEBUG=0
%make

%install
%makeinstall_std

%files
%{_bindir}/*
%{_libdir}/cmus
%{_datadir}/cmus/
%{_mandir}/man1/*
%{_mandir}/man7/*
%doc COPYING README


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.5.0-3.mga4
+ Revision: 533583
- Mageia 4 Mass Rebuild

* Sun Sep 01 2013 fwang <fwang> 2.5.0-2.mga4
+ Revision: 473970
- fix build with latest cdio
- rebuild for new libcdio

* Thu Aug 22 2013 shlomif <shlomif> 2.5.0-1.mga4
+ Revision: 469720
- New version 2.5.0

* Mon Jul 15 2013 fwang <fwang> 2.4.3-4.mga4
+ Revision: 454584
- fix build with ffmpeg 2.0

* Fri Jan 11 2013 umeabot <umeabot> 2.4.3-4.mga3
+ Revision: 347952
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 barjac <barjac> 2.4.3-3.mga3
+ Revision: 323090
- Corrected group to new policy
- Corrected license

* Tue May 29 2012 fwang <fwang> 2.4.3-2.mga3
+ Revision: 249082
- rebuild for new ffmpeg

* Thu Dec 15 2011 shlomif <shlomif> 2.4.3-1.mga2
+ Revision: 182288
- imported package cmus



* Thu Dec 15 2011 Alexander Scherbakov <neocrust@gmail.com> 2.4.3-1.mga2
- version 2.4.3 added to Mageia
- initial package
